Bug 1606494 - tcmu-runner: FTBFS in Fedora rawhide
Summary: tcmu-runner: FTBFS in Fedora rawhide
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: tcmu-runner
Version: 29
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Maurizio Lombardi
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F29FTBFS
TreeView+ depends on / blocked
 
Reported: 2018-07-20 20:17 UTC by Mohan Boddu
Modified: 2019-10-26 17:25 UTC (History)
0 users

Fixed In Version: tcmu-runner-1.5.2-1.fc31
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-10-26 17:25:01 UTC


Attachments (Terms of Use)
build.log (24.73 KB, text/plain)
2018-07-20 20:17 UTC, Mohan Boddu
no flags Details
root.log (32.00 KB, text/plain)
2018-07-20 20:17 UTC, Mohan Boddu
no flags Details
state.log (635 bytes, text/plain)
2018-07-20 20:17 UTC, Mohan Boddu
no flags Details

Description Mohan Boddu 2018-07-20 20:17:28 UTC
tcmu-runner failed to build from source in Fedora rawhide

https://koji.fedoraproject.org/koji/taskinfo?taskID=28236289


For details on the mass rebuild see:

https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild
Please fix tcmu-runner at your earliest convenience and set the bug's status to
ASSIGNED when you start fixing it. If the bug remains in NEW state for 8 weeks,
tcmu-runner will be orphaned. Before branching of Fedora 30,
tcmu-runner will be retired, if it still fails to build.

For more details on the FTBFS policy, please visit:
https://fedoraproject.org/wiki/Fails_to_build_from_source

Comment 1 Mohan Boddu 2018-07-20 20:17:34 UTC
Created attachment 1468426 [details]
build.log

Comment 2 Mohan Boddu 2018-07-20 20:17:37 UTC
Created attachment 1468427 [details]
root.log

file root.log too big, will only attach last 32768 bytes

Comment 3 Mohan Boddu 2018-07-20 20:17:41 UTC
Created attachment 1468428 [details]
state.log

Comment 4 Jan Kurik 2018-08-14 08:52:27 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 29 development cycle.
Changing version to '29'.

Comment 6 Fedora Update System 2019-10-11 13:19:47 UTC
FEDORA-2019-480af48bda has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2019-480af48bda

Comment 7 Fedora Update System 2019-10-11 16:54:00 UTC
tcmu-runner-1.5.2-1.fc31 has been pushed to the Fedora 31 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-480af48bda

Comment 8 Fedora Update System 2019-10-26 17:25:01 UTC
tcmu-runner-1.5.2-1.fc31 has been pushed to the Fedora 31 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.